curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/completions/{completion_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_messages": [
{
"content": "<string>",
"role": "system"
}
],
"eval_results": null
}
'{
"completion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Append messages or evaluation results to an existing completion. Use for streaming responses or adding post-hoc evaluation metrics.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/completions/{completion_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_messages": [
{
"content": "<string>",
"role": "system"
}
],
"eval_results": null
}
'{
"completion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Show child attributes
RecordCompletionInfo(completion_id: uuid.UUID = FieldInfo(annotation=NoneType, required=True, description='The session entry ID'))
The session entry ID